WordPress.org

Forums

Wordfence Security
WordPress core file modified (3 posts)

  1. EarShell
    Member
    Posted 10 months ago #

    I installed WordPress for the first time yesterday along with Wordfence and Elegant Themes' Divi theme. I had Jetpack running briefly, but disabled it for the time being.

    Today, Wordfence listed two "critical" issues, which are detailed below. As a newbie, I'm hoping you can tell me whether these issues should be acted upon or ignored.

    Issue 1
    WordPress core file modified: wp-includes/version.php

    The Original Version of the file

    33	* @global string $required_mysql_version
    34	*/
    35	$required_mysql_version = '5.0';

    The Modified Version on your WordPress system

    34	*/
    35	$required_mysql_version = '5.0';
    36	$wp_local_package = '';

    Issue 2
    WordPress core file modified: wp-admin/includes/upgrade.php

    The Original Version of the file

    285	https://wordpress.org/
    286	"), $blog_url, $name, $password);
    287
    288	   @wp_mail($email, __('New WordPress Site'), $message);

    The Modified Version on your WordPress system

    285	https://wordpress.org/
    286	"), $blog_url, $name, $password);
    287
    288	   //@wp_mail($email, __('New WordPress Site'), $message);

    Thanks in advance for any advice you can provide.

    https://wordpress.org/plugins/wordfence/

  2. Vincent Verloop
    Member
    Posted 9 months ago #

    I have the same issue as issue 1.

    It looks like Wordfence is not correctly checking http://nl.wordpress.org/ in the repository.

    Maybe you have updated to WordPress to v3.9.1, but not updated the Dutch files from http://nl.wordpress.org/.

  3. Vincent Verloop
    Member
    Posted 9 months ago #

    Download de Nederlandse versie en overschrijf deze op je server via FTP.

    Nadat dit compleet is moet je in het wp-config.php bestand, welke zich in de root van je WordPress installatie bevindt, een kleine aanpassing doen. Zoek de volgende code op:
    define ('WPLANG', '');
    en verander dit naar
    define ('WPLANG', 'nl_NL');

    Sla het bestand op en upload het weer terug naar de plek waar je het gevonden hebt.

Reply

You must log in to post.

About this Plugin

  • Wordfence Security
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags